QDragEnterEvent(3qt)

NAME
QDragEnterEvent - The event sent to widgets when a drag-and-drop first drags onto it

#include <qevent.h>

Inherits QDragMoveEvent.

  Public Members
QDragEnterEvent ( const QPoint & pos )

DESCRIPTION
The event sent to widgets when a drag-and-drop first drags onto it.

This event is always immediate followed by a QDragMoveEvent, thus you need only respond to one or the other event. Note that this class inherits most of its functionality from QDragMoveEvent, which in turn inherits most of its functionality from QDropEvent.

See also QDragLeaveEvent, QDragMoveEvent and QDropEvent.

Examples: desktop/desktop.cpp

MEMBER FUNCTION DOCUMENTATION

QDragEnterEvent::QDragEnterEvent ( const QPoint & pos )
Constructs a QDragEnterEvent entering at the given point. Note that QDragEnterEvent constructed outside of the Qt internals will not work - they currently rely on internal state.

SEE ALSO
http://doc.trolltech.com/qdragenterevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qdragenterevent.3) and the Qt version (2.3.0).